<form [formGroup]="formGroup" (ngSubmit)="onSubmit()" class="rows-container">
  <mat-form-field appearance="fill">
    <mat-label>Choose a function</mat-label>
    <mat-select formControlName="functionData">
      <mat-option *ngFor="let functionData of functions" [value]="functionData">
        {{functionData.plainTextFormula}}
      </mat-option>
    </mat-select>
  </mat-form-field>

  <fieldset>
    <p class="label">Interval</p>

    <div class="columns-container">
      <mat-form-field appearance="fill">
        <mat-label>Begin</mat-label>
        <input type="number" matInput formControlName="intervalBegin" />
      </mat-form-field>

      <mat-form-field appearance="fill">
        <mat-label>End</mat-label>
        <input type="number" matInput formControlName="intervalEnd" />
      </mat-form-field>
    </div>
  </fieldset>

  <fieldset>
    <mat-form-field appearance="fill">
      <mat-label>Population size (N)</mat-label>
      <input type="number" matInput formControlName="populationSize" />
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Iterations limit</mat-label>
      <input type="number" matInput formControlName="maxNumberOfIterations" />
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Precision</mat-label>
      <input type="number" matInput formControlName="precision" />
    </mat-form-field>
  </fieldset>

  <mat-form-field appearance="fill">
    <mat-label>Mutation probability</mat-label>
    <input type="number" matInput formControlName="mutationProbability" />
  </mat-form-field>

  <button mat-raised-button color="primary" type="submit" [disabled]="!formGroup.valid">
    Submit
  </button>
</form>
